function setWeather () {
  var url="http://weather.jp.msn.com/RSS.aspx?wealocations=wc:9758041&q&weadegreetype=C&culture=ja-JP";
  var httpRequest = new XMLHttpRequest();

  httpRequest.open("GET", url);
  httpRequest.overrideMimeType("text/xml");
  httpRequest.setRequestHeader('Cache-Control', 'no-cache'); 
  httpRequest.send(null); 
  httpRequest.onload = function() {xml_responded(httpRequest);}
}

function findChild (element, nodeName){
  var child;
	
  for (child = element.firstChild; child != null; child = child.nextSibling){
    if (child.nodeName == nodeName) return child;
  }
	
  return null;
}

function xml_responded (request) {
  var rss = findChild(request.responseXML, "rss");
  var channel = findChild(rss, "channel");
  var city = findChild(channel, "title").textContent;
  city = city.substring(0, city.indexOf("-"));
  document.getElementById("city").innerText = city;

  var item = findChild(channel, "item");
  var description = findChild(item, "description").textContent;
  var desc = description.split("<br />");

  var day, max, min, probability, title, url;
  day = desc[0].substring(desc[0].indexOf("rss")+5,desc[0].indexOf("</a>"));
  title = desc[0].substring(desc[0].indexOf("alt")+5,desc[0].indexOf("title")-2);
  min = desc[0].substring(desc[0].indexOf("最低"),desc[0].indexOf(". 最高"));
  max = desc[0].substring(desc[0].indexOf("最高"),desc[0].indexOf(". 降水"));
  probability = desc[0].substring(desc[0].indexOf("降水"));
  url = desc[0].substring(desc[0].indexOf('src="')+5,desc[0].indexOf("width")-2);
      
  document.getElementById("day").innerText = day;
  document.getElementById("image").src = url;
  document.getElementById("text").innerText = title;
  document.getElementById("max").innerHTML = max;
  document.getElementById("min").innerHTML = min;
  document.getElementById("prob").innerText = probability;
}
